import { p as promiseResolve, b as bootstrapLazy } from './index-3552aa55.js';

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["deckgo-slide-big-img",[[1,"deckgo-slide-big-img",{"imgSrc":[1,"img-src"],"imgAlt":[1,"img-alt"],"imgDivisions":[1,"img-divisions"],"axis":[1],"reverse":[4],"beforeSwipe":[64],"afterSwipe":[64],"lazyLoadContent":[64],"revealContent":[64],"hideContent":[64]}]]]], options);
});
