import { p as promiseResolve, b as bootstrapLazy } from './index-3552aa55.js';

/*
 Stencil Client Patch Esm v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["deckgo-slide-big-img",[[1,"deckgo-slide-big-img",{"imgSrc":[1,"img-src"],"imgAlt":[1,"img-alt"],"imgDivisions":[1,"img-divisions"],"axis":[1],"reverse":[4],"beforeSwipe":[64],"afterSwipe":[64],"lazyLoadContent":[64],"revealContent":[64],"hideContent":[64]}]]]], options);
  });
};

export { defineCustomElements };
