import { EventEmitter } from '../../stencil-public-runtime';
import { DeckdeckgoSlide } from '@deckdeckgo/slide-utils';
export declare class DeckdeckgoSlideBigImg implements DeckdeckgoSlide {
  el: HTMLElement;
  slideDidLoad: EventEmitter<void>;
  imgSrc: string;
  imgAlt: string;
  imgDivisions: string;
  axis: 'x' | 'y';
  reverse: boolean;
  private crop;
  private bigImg;
  private currentStep;
  private get divisions();
  componentDidLoad(): Promise<void>;
  private next;
  private prev;
  private prevNext;
  private isEnd;
  private isBeginning;
  beforeSwipe(enter: boolean): Promise<boolean>;
  afterSwipe(): Promise<void>;
  lazyLoadContent(): Promise<void>;
  revealContent(): Promise<void>;
  hideContent(): Promise<void>;
  render(): any;
}
